extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "pkg:joker_layer1",
    "layer2": "pkg:joker_layer2",
    "scabbard": "pkg:joker_scabbard",
    //"staff": "fiskheroes:black_canary_bo_staff",
    "gun": "fiskheroes:deadpool_xmen_gun"
});

var utils = implement("fiskheroes:external/utils");

var scabbard;

function initEffects(renderer) {

    utils.addLivery(renderer, "DESERT_EAGLE", "gun");

    renderer.bindProperty("fiskheroes:equipped_item").setItems([
        { "anchor": "rightLeg", "scale": 0.7, "offset": [-2.4, 0.5, 1.25], "rotation": [90.0, 0.0, 0.0] },
    ]).slotIndex = 1;
}

function render(entity, renderLayer, isFirstPersonArm) {
    if (!isFirstPersonArm && renderLayer == "CHESTPLATE") {
        // this is the issue >> scabbard.render();
    }
}